:host {
	height: 100%;

	display: grid;
	grid-template-areas:
		'infobar'
		'callbar'
		'main-content';
	grid-template-columns: 1fr;
	grid-template-rows: min-content min-content 1fr 0;

	app-loading-bar {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		z-index: 2;
	}

	app-info-bar {
		z-index: 3;
		grid-area: infobar;
	}

	app-call-bar {
		z-index: 2;
		grid-area: callbar;
	}

	::ng-deep .mat-drawer-container {
		@media (max-width: 600px) {
			z-index: unset;
		}
	}
}
